import { IDesignItem } from "../../item/IDesignItem.js";
import { EventsService } from "./EventsService.js";
import { IEvent } from "./IEvent.js";
export declare class WebcomponentManifestEventsService extends EventsService {
    isHandledElementFromEventsService(designItem: IDesignItem): boolean;
    getPossibleEvents(designItem: IDesignItem): IEvent[];
    getEvent(designItem: IDesignItem, name: string): IEvent;
    private __eventsList;
    constructor(name: string, manifest: any);
    private _parseManifest;
}
